: Get today's historical events

API: dayinhistory.dev:day-in-history-api
Endpoint: /today/events/
Response format: application/json
Auth: none
Method: GET
Last Status: 200
Latency: 1124ms

Description

Returns historical events that occurred on today's date. This is the trailing-slash variant of /today/events, returning the same data. Useful when your HTTP client or framework automatically appends trailing slashes.

From spec: Returns historical events that occurred on today's date

Usage Tips

- Same data as /today/events without the trailing slash - Your HTTP client may redirect here automatically - Supports pagination with ?page=N parameter

Parameters (1)

page (integer, query, optional, default: 1)

Page number for pagination

Examples (2)

Get today's historical events probe-gate

Fetch today's historical events

curl 'https://api.dayinhistory.dev/v1/today/events/?page=1'
import requests

resp = requests.get(
    "https://api.dayinhistory.dev/v1/today/events/",
    params={
        'page': '1',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("dayinhistory")
result = api.fetch("today/events/", page=1)

for item in result:
    print(item)
const resp = await fetch("https://api.dayinhistory.dev/v1/today/events/?page=1");
const data = await resp.json();
Get today's historical events probe-gate
curl 'https://api.dayinhistory.dev/v1/today/events/'
import requests

resp = requests.get("https://api.dayinhistory.dev/v1/today/events/")
data = resp.json()
import zingu_apis

api = zingu_apis.api("dayinhistory")
result = api.fetch("today/events/")

for item in result:
    print(item)
const resp = await fetch("https://api.dayinhistory.dev/v1/today/events/");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 16:44:38.001788 200 1124ms
2026-04-16 04:14:27.549163 200 989ms
2026-04-16 02:36:41.172707 200 797ms
2026-04-15 03:48:40.139481 200 649ms
2026-04-15 03:44:15.795306 200 708ms
2026-04-14 03:19:14.923882 200 609ms
2026-04-14 00:14:28.125721 200 759ms
2026-04-12 16:22:28.397025 200 672ms
2026-04-12 14:28:55.921386 200 676ms
2026-04-10 04:06:55.349039 200 629ms
2026-04-10 01:25:22.379235 200 604ms
2026-04-09 02:31:52.646191 200 594ms
2026-04-08T12:09:22.155723 200 725ms
2026-04-08 00:25:38.102446 200 630ms
2026-04-07 00:36:32.235455 200 656ms
2026-04-05 19:13:17.589660 200 662ms
2026-04-05 01:11:30.261893 200 637ms
2026-04-04 02:34:39.330499 200 632ms
2026-04-03 12:33:21.348650 200 760ms
2026-03-30 02:47:29.857980 200 565ms
2026-03-29 12:40:32.750292 200 636ms
2026-03-23 09:19:18.430316 200 636ms